## os-prober 1.79

=== Makefile ===
CFLAGS := -Os -g -Wall

all: newns

newns: newns.c
	$(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@

clean:
	rm -f newns

## os-prober 0.12

=== debian/changelog ===
os-prober (0.12) unstable; urgency=low

  * Colin Watson
    - Fix syntax error in already-mounted case.
    - Cope with empty initrd parameter in yaboot.conf parser.

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 May 2004 01:16:05 +0100

os-prober (0.11) unstable; urgency=low

  * Colin Watson
    - Make linux-distro test work on architectures that don't have
      /lib/ld-linux.so* (closes: #244076).
    - Fix a typo in the yaboot parser.

 -- Colin Watson <cjwatson@debian.org>  Sun,  9 May 2004 16:35:43 +0100

os-prober (0.10) unstable; urgency=low

  * Colin Watson
    - Restore module dependencies, using debian/module-depends.$(ARCH).
      Closes: #246700
  * Joey Hess
    - Have os-prober run mounted tests on partitions that are already
      mounted (skipping /  and /target). Closes: #247080

 -- Joey Hess <joeyh@debian.org>  Tue,  4 May 2004 20:52:29 -0400

os-prober (0.09) unstable; urgency=low

  * Guillem Jover
    - Added more distros support.
  * Joey Hess
    - Use just "Windows" as the shortname for Windows 2k/NT/XP.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Apr 2004 12:07:11 -0400

os-prober (0.08) unstable; urgency=low

  * Joey Hess
    - Initialise variables in lilo and grub probes, to avoid inheriting
      settings for things like $initrd from the kernel command line.
      This fixes processing of things like lilo.conf stanzas that do not set
      an initrd. Thanks to Frans Pop.
    - Add some extra debug logging.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 16:40:16 -0400

os-prober (0.07) unstable; urgency=low

  * Colin Watson
    - Add a Mac OS 6-9 check for powerpc. This is currently a copy of the
      m68k version with a different loader name for yaboot's benefit, which
      may not be ideal ...
    - Send modprobe's standard output to syslog so that it doesn't confuse
      programs parsing os-prober's output.

 -- Colin Watson <cjwatson@debian.org>  Sun, 18 Apr 2004 11:23:51 +0100

os-prober (0.06) unstable; urgency=low

  * Colin Watson
    - Add a Linux boot probe for /etc/yaboot.conf.
    - Make sure hfs is available for the Mac OS 9 check.
    - Delay hfs until last in mounted checks so that we can tell the
      difference between that and hfsplus.
    - Add count to Mac OS X labels; change loader type to macosx.
    - Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Apr 2004 01:15:53 +0100

os-prober (0.05) unstable; urgency=low

  * Joey Hess
    - Fix broken mounting of /boot partitions.
    - Fix grub probe to support systems that have /boot on a separate
      partition, by looking for kernels in /boot as well.
    - Same for initrds.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 16:06:49 -0400

os-prober (0.04) unstable; urgency=low

  * Joey Hess
    - Return "hurd" as the OS type for hurd, rather than "multiboot".
      The latter is not enough info to boot the hurd.
    - Fix broken hurd detection.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Apr 2004 22:18:54 -0400

os-prober (0.03) unstable; urgency=low

  * Joshua Kwan
    - Allow for unique short names via functions in new common.sh library.
    - Revamp all the dh_install stuff.
    - Use /var/lib/os-prober as our sandbox.
  * Colin Watson
    - Add Mac OS X probing support.
  * Joey Hess
    - Added linux-boot-prober, with sorta working support for grub.
    - Reorg the probes, and move to /usr/lib.
    - Remove broken depends line.
    - Add a linux boot probe that searches for kernels and initrds with no
      bootloader config file, as a fallback.
    - Add a linux boot probe that parses /etc/lilo.conf.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Apr 2004 21:40:39 -0400

os-prober (0.02) unstable; urgency=low

  * Include init dir in the udeb.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Apr 2004 00:43:12 -0500

os-prober (0.01) unstable; urgency=low

  * Initial Release.

 -- Joey Hess <joeyh@debian.org>  Sat,  3 Apr 2004 23:45:29 -0500

=== debian/control ===
Source: os-prober
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joshua Kwan <joshk@triplehelix.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2)
Standards-Version: 3.6.1.0

Package: os-prober
XC-Package-Type: udeb
Architecture: any
Depends: ext3-modules, reiserfs-modules, xfs-modules, ${module-depends}
Description: utility to detect other OSes on a set of drives
 This package is to be used by boot loader installers to detect other OSes
 available on a system, in a generic format, which it can then adapt to its
 own configuration format.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules for os-prober
# (C) 2004 Joshua Kwan <joshk@triplehelix.org>

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq (,$(wildcard debian/module-depends.$(ARCH)))
OUTPUTSUBST=
else
OUTPUTSUBST=-- -V'module-depends=$(shell cat debian/module-depends.$(ARCH))'
endif

build:
# Ye olde no-op.

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs var/lib/os-prober/mount
	dh_install os-prober linux-boot-prober bin
	dh_install common.sh usr/share/os-prober
	for probes in os-probes os-probes/mounted os-probes/init \
	              linux-boot-probes linux-boot-probes/mounted; do \
		dh_install $$probes/common/* usr/lib/$$probes; \
		if [ -e "$$probes/$(ARCH)" ]; then \
			dh_install $$probes/$(ARCH)/* usr/lib/$$probes; \
		fi; \
	done

binary-indep: build install
# Ye olde no-op.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol $(OUTPUTSUBST)
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## os-prober 1.04

=== debian/changelog ===
os-prober (1.04) unstable; urgency=low

  * Joey Hess
    - Fix micosoft and lsb tests to use count_next_label to get unique
      short labels. Closes: #299001

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Mar 2005 14:06:00 -0500

os-prober (1.03) unstable; urgency=low

  * Joey Hess
    - Applied patch from Guillem Jover to detect many redhat derived
      distributions.
  * Frans Pop
    - Exclude partitions that are part of a software raid array.
      Closes: #273960.
    - Don't use the description from Windows' boot.ini if it contains
      non-ascii (or other unusual) characters. Closes: #293859.
  * Colin Watson
    - Probe ext3, xfs, and jfs modules too.

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Feb 2005 20:30:56 -0500

os-prober (1.02) unstable; urgency=low

  * Joshua Kwan
    - I don't have time to test/improve os-prober these days, so removing
      myself from Uploaders.
  * Colin Watson
    - Install i386 tests on amd64 too (closes: #261378).

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Oct 2004 14:02:05 +0100

os-prober (1.01) unstable; urgency=low

  * Joey Hess
    - Applied patch from eddyp to parse boot.ini to determine correct names
      of modern versions of Windows. Closes: #275882

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Oct 2004 15:20:12 -0400

os-prober (1.00) unstable; urgency=low

  * Joey Hess
    - Fedora uses a grub.conf. This may or may not be linked to menu.lst
      (unknown). Look for it if menu.lst is not found.
    - Gratuitous version number bump.

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 2004 18:27:10 -0400

os-prober (0.14) unstable; urgency=low

  * Joey Hess
    - It's actually allowed and common for /etc/lsb-release to not include a
      DISTRIB_DESCRIPTION or DISTRIB_CODENAME, so don't call such distros
      "Unknown semi-LSB-compliant Linux distribution", just skip to the next
      test. This affected FC2.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Aug 2004 12:57:06 -0400

os-prober (0.13) unstable; urgency=low

  * Giuseppe Sacco
    - Added preliminary test for Solaris/IA32. Closes: #255206
  * Joey Hess
    - Add support for fstabs with UUIDs or disk labels. Closes:#257794
    - In fallback os-prober test, skip over symlinks, since they could point
      from root into /boot or result in confusing duplicate entries.
      Closes: #258624
    - Make the fallback os-prober really find kernels matched by globs.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Jul 2004 14:32:17 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joshua Kwan <joshk@triplehelix.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 # (C) 2004 Joshua Kwan <joshk@triplehelix.org>
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(findstring :$(ARCH):,:i386:amd64:))
+ARCH=x86
+endif
+
 ifeq (,$(wildcard debian/module-depends.$(ARCH)))
 OUTPUTSUBST=
 else

## os-prober 1.05

=== debian/changelog ===
os-prober (1.05) unstable; urgency=low

  * Colin Watson
    - 'boot' is implicit at the end of a grub menu entry. Cope with it being
      missing (part of #258623).

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 Mar 2005 16:55:23 +0000

## os-prober 1.06ubuntu2

=== debian/changelog ===
os-prober (1.06ubuntu2) breezy; urgency=low

  * Revert workaround from 1.06ubuntu1 now that we have the nls_utf8 module
    available, restoring Mac OS X detection (closes: Ubuntu #15197). This
    upload is identical to 1.06 save for the changelog.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Sep 2005 22:01:38 +0100

os-prober (1.06ubuntu1) breezy; urgency=low

  * Skip hfs and hfsplus partitions for now to work around a kernel bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  8 Sep 2005 12:35:09 +0100

os-prober (1.06) unstable; urgency=low

  * Frans Pop
    - Make idempotent by deleting files in /var/lib/os-prober/ on start
      (resets count_next_label).
    - Properly determine whether partitions are mounted or not by using
      mapdevfs to match device names. Closes: #251794, #251662.
    - Add dependency on di-utils-mapdevfs.

 -- Joey Hess <joeyh@debian.org>  Sun,  1 May 2005 16:52:18 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: os-prober
 XC-Package-Type: udeb
 Architecture: any
-Depends: ext3-modules, reiserfs-modules, xfs-modules, ${module-depends}
+Depends: di-utils-mapdevfs, ext3-modules, reiserfs-modules, xfs-modules, ${module-depends}
 Description: utility to detect other OSes on a set of drives
  This package is to be used by boot loader installers to detect other OSes
  available on a system, in a generic format, which it can then adapt to its

## os-prober 1.09

=== debian/changelog ===
os-prober (1.09) unstable; urgency=low

  * To make it easier to use os-prober outside d-i, add a mapdevfs shim and
    avoid using anna-install if it isn't present.
  * Fix count_for to avoid failing outside d-i if /var/lib/os-prober/labels
    is missing.
  * Look for partitions in /sys/block if /dev/discs isn't present.
  * Add /usr/share/common-licenses/GPL reference to debian/copyright.
  * Rename os-prober to os-prober-udeb (leaving a Provides: behind) and
    create an os-prober deb.
  * Avoid yaboot probe failing outside d-i due to archdetect being missing.
  * Don't install /var/lib/os-prober/mount in either binary package, just
    /var/lib/os-prober; the former will be created/removed on the fly
    anyway.

 -- Colin Watson <cjwatson@debian.org>  Thu,  8 Dec 2005 02:58:36 +0000

os-prober (1.08) unstable; urgency=low

  [ Colin Watson ]
  * Install necessary kernel modules on the fly using anna-install, rather
    than depending on them. Requires anna >= 1.16.

 -- Frans Pop <fjp@debian.org>  Tue, 15 Nov 2005 20:37:52 +0100

os-prober (1.07) unstable; urgency=low

  [ Matt Kraai ]
  * Add support for QNX.

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Sep 2005 17:18:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,19 @@
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0
 
-Package: os-prober
+Package: os-prober-udeb
 XC-Package-Type: udeb
 Architecture: any
-Depends: di-utils-mapdevfs, ext3-modules, reiserfs-modules, xfs-modules, ${module-depends}
+Depends: di-utils-mapdevfs, anna (>= 1.16)
+Provides: os-prober
 Description: utility to detect other OSes on a set of drives
  This package is to be used by boot loader installers to detect other OSes
  available on a system, in a generic format, which it can then adapt to its
  own configuration format.
+
+Package: os-prober
+Architecture: any
+Section: utils
+Description: utility to detect other OSes on a set of drives
+ This package detects other OSes available on a system and outputs the
+ results in a generic machine-readable format.

=== debian/rules ===
#!/usr/bin/make -f
# debhelper rules for os-prober
# (C) 2004 Joshua Kwan <joshk@triplehelix.org>

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(findstring :$(ARCH):,:i386:amd64:))
ARCH=x86
endif

build:
# Ye olde no-op.

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A -a var/lib/os-prober
	dh_install -pos-prober-udeb os-prober linux-boot-prober bin
	dh_install -pos-prober os-prober linux-boot-prober usr/bin
	dh_install common.sh usr/share/os-prober
	for probes in os-probes os-probes/mounted os-probes/init \
	              linux-boot-probes linux-boot-probes/mounted; do \
		dh_install $$probes/common/* usr/lib/$$probes; \
		if [ -e "$$probes/$(ARCH)" ]; then \
			dh_install $$probes/$(ARCH)/* usr/lib/$$probes; \
		fi; \
	done
	cp -a debian/os-prober-udeb/usr/share debian/os-prober-udeb/usr/lib \
		debian/os-prober/usr/

binary-indep: build install
# Ye olde no-op.

binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## os-prober 1.14

=== debian/changelog ===
os-prober (1.14) unstable; urgency=low

  * Use udevinfo if available in parse_proc_mdstat to figure out whether a
    device is a partition.

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Aug 2006 11:27:47 +0100

os-prober (1.13) unstable; urgency=low

  * Add support for detecting Windows Vista/Longhorn.

 -- Frans Pop <fjp@debian.org>  Tue, 25 Jul 2006 13:06:13 +0200

os-prober (1.12) unstable; urgency=low

  [ Joey Hess ]
  * Patch from VMiklos to sed off (hdn,n) from the front of a kernel path,
    as seen in SuSE grub configs. Closes: #258623 although this is fixed
    imprefectly since it assumes stripping the string is enough.
  * Patch from VMiklos to not require an initrd be specified in the grub
    probe.
  * Patch from VMiklos to add --mounted option to linux-boot-prober.
    May not be useful for d-i but in other situations including for the
    Frugalware installer.

  [ Frans Pop ]
  * When parsing a lilo configuration, dereference symbolic links. Not doing
    this will break booting the old OS if the link was in / and there was a
    separate /boot partition. And grub in general prefers full paths.
    Closes: #259825.
  * Use environment variable to pass --mounted option to lower level scripts
    instead of perpetuating the parameter.
  * Add myself to uploaders.

 -- Frans Pop <fjp@debian.org>  Fri, 23 Jun 2006 21:46:41 +0200

os-prober (1.11) unstable; urgency=low

  * Remove a useless debug message.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:10:10 -0400

os-prober (1.10) unstable; urgency=low

  [ Colin Watson ]
  * Drop os-prober's priority to extra to match overrides.

  [ Frans Pop ]
  * Old-style options for head/tail are no longer supported by new busybox.

 -- Frans Pop <fjp@debian.org>  Fri, 12 May 2006 15:26:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0
 
@@ -19,6 +19,7 @@
 Package: os-prober
 Architecture: any
 Section: utils
+Priority: extra
 Description: utility to detect other OSes on a set of drives
  This package detects other OSes available on a system and outputs the
  results in a generic machine-readable format.

## os-prober 1.17

=== debian/changelog ===
os-prober (1.17) unstable; urgency=low

  * Check for both upper and lowercase filenames when detecting Windows
    NT/XP/2000. Thanks to Thanatermesis.

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 20:16:49 +0100

os-prober (1.16) unstable; urgency=low

  [ Joey Hess ]
  * Support for recognising Pardus linux.

  [ Frans Pop ]
  * Skip grub entries that have "module" lines as we currently don't support
    those. Based on #399882 where they were used for entries related to Xen.
  * Support for recognizing Kanotix linux.
  * Add support for probing other operating systems on LVM partitions. This
    will only work if LVM support has already been loaded. Closes: #277901.

 -- Frans Pop <fjp@debian.org>  Tue, 20 Feb 2007 12:57:42 +0100

os-prober (1.15) unstable; urgency=low

  [ Colin Watson ]
  * Discard stderr from udevinfo call in parse_proc_mdstat.

  [ Fabio M. Di Nitto ]
  * Nuke os-probes/x86. Empty useless dir.
  * Use -qs to grep and avoid an annoying warning when running os-probes.

 -- Frans Pop <fjp@debian.org>  Thu, 21 Dec 2006 16:29:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
 
 Package: os-prober-udeb
 XC-Package-Type: udeb

## os-prober 1.17ubuntu2

=== debian/changelog ===
os-prober (1.17ubuntu2) feisty; urgency=low

  * Tighten check for whether we're running in d-i (LP: #93887).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 08:41:44 +0000

os-prober (1.17ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Try to install fs-core-modules and fs-secondary-modules udebs.
    - Add os-probes/mounted/sparc/80solaris to recognize solaris/sparc.
    - Add linux-boot-probes/mounted/sparc/50silo support.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 00:48:45 +0000

os-prober (1.15ubuntu2) feisty; urgency=low

  * os-probes/init/common/10filesystems: add ufs to the list of modules to
    probe.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 11 Jan 2007 11:18:53 +0100

os-prober (1.15ubuntu1) feisty; urgency=low

  * Merge with Debian unstable (ubuntu delta):
    * linux-boot-probes/mounted/sparc/50silo support from 1.14ubuntu2.
    * Try to install fs-core-modules and fs-secondary-modules udebs from
      1.14ubuntu1.
    * os-probes/mounted/sparc/80solaris support from 1.14ubuntu2.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 22 Dec 2006 19:26:08 +0100

os-prober (1.14ubuntu2) feisty; urgency=low

  [ Fabio M. Di Nitto ]
  * Use -qs to grep and avoid an annoying warning when running os-probes.
  * Add os-probes/mounted/sparc/80solaris to recognize solaris/sparc.
  * Add linux-boot-probes/mounted/sparc/50silo support.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 12 Dec 2006 10:07:23 +0100

os-prober (1.14ubuntu1) feisty; urgency=low

  * Try to install fs-core-modules and fs-secondary-modules udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  4 Dec 2006 09:56:56 +0000

## os-prober 1.21ubuntu4

=== debian/changelog ===
os-prober (1.21ubuntu4) gutsy; urgency=low

  * Adjust Microsoft probe to cope with NTFS partitions appearing with type
    ntfs-3g (LP: #147617).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2007 12:59:49 +0100

os-prober (1.21ubuntu3) gutsy; urgency=low

  * Try finding a LABEL/UUID-capable /bin/mount in $tmpmnt as well as in
    /target.
  * Set LD_LIBRARY_PATH appropriately in the event that we have to use a
    foreign mount binary (LP: #145424).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2007 17:44:41 +0100

os-prober (1.21ubuntu2) gutsy; urgency=low

  * If fuseblk is in /proc/filesystems and ntfs-3g is present, try mounting
    filesystems as ntfs-3g (LP: #147617).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2007 17:50:22 +0100

os-prober (1.21ubuntu1) gutsy; urgency=low

  * Backport from trunk:
    - Accept fuseblk as well as fuse in the Microsoft probe.
    - Make sure to select only the first mountpoint for a given device (in
      case of bind mounts).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2007 01:28:46 +0100

os-prober (1.21) unstable; urgency=low

  [ Joey Hess ]
  * Remove the largely obsolete --mounted option.

  [ Colin Watson ]
  * Recognise filesystems of type 'fuse' as applicable to the Microsoft
    probe (thanks, Agostino Russo).
  * Handle vga= options in lilo.conf (LP: #59525).

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 Jul 2007 17:03:10 +0100

os-prober (1.20) unstable; urgency=low

  * Skip grub-installer's "(on /dev/blah)" entries detected in GRUB
    configuration files, as if they're useful they will probably be found by
    another probe, and detecting them can result in exponential growth of
    menu.lst files if you do repeated test installs on multiple partitions.
  * Use readlink -f in mapdevfs shim so that os-prober runs outside d-i
    handle mount-by-UUID correctly.
  * Use mktemp -d rather than /tmp, to make use outside d-i safer.
  * Merge from Ubuntu:
    - Try to install fs-core-modules and fs-secondary-modules udebs. These
      are specific to the Ubuntu kernel udeb layout, but it's fairly cheap
      to check for them as well and saves on divergence here.
    - Add os-probes/mounted/sparc/80solaris to recognize Solaris/SPARC
      (Fabio M. Di Nitto).
    - Add linux-boot-probes/mounted/sparc/50silo support (Fabio M. Di
      Nitto).
    - Try to load ufs module, for Solaris support (Fabio M. Di Nitto).
    - Tighten check for whether we're running in d-i; anna-install isn't
      quite enough because if you're running d-i code outside d-i it's
      sometimes reasonable to install a shim for anna-install.
  * Don't probe partitions mounted on /target/boot.
  * Teach linux-boot-prober to deal with mounted partitions correctly,
    unless they're mounted on /, /target, or /target/boot (LP: #14780). This
    should largely obsolete the --mounted option.
  * Only use /target/bin/mount if it exists, in order to work better outside
    d-i.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Jul 2007 12:33:31 +0100

os-prober (1.19) unstable; urgency=low

  [ Joey Hess ]
  * Make the microsoft OS test completely case-insensative in the file and
    directory named it looks for. This is reportedly needed at least for
    Vista (Boot/BCD vs boot/bcd), and was already done on an ad-hoc basis
    for 2000/XP/NT4.0.
  * Patch from VMiklos to add support for recognising Frugalware.

  [ Frans Pop ]
  * Skip partitions on a physical disk that is part of a Serial ATA RAID disk.
  * Use log-output when checking for volume groups.
  * Also use the case insensitive test for Dell Utility partition detection.

  [ Fabio M. Di Nitto ]
  * Skip partitions that have the "whole_disk" sysfs attribute set.
    The kernel set the attribute for partitions like SUN Whole Disk.
    These partitions that encompass the whole disk can be mounted
    and often confused for the first partition on the disk.
    In situations where the OS is on the first partition, it would be
    detected twice in the first and the whole disk partition.

 -- Frans Pop <fjp@debian.org>  Sat, 07 Jul 2007 20:11:49 +0200

os-prober (1.18) unstable; urgency=low

  * Add detection for Dell Utility partition (can be chainloaded).
    Closes: #417279.
  * Remove support for devfs style paths.

 -- Frans Pop <fjp@debian.org>  Sat, 21 Apr 2007 01:11:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0

## os-prober 1.23ubuntu1

=== debian/changelog ===
os-prober (1.23ubuntu1) hardy; urgency=low

  * If any umount fails, sleep for five seconds and try again, up to three
    times; it seems that occasionally desktop automounting systems grab the
    device at just the wrong time (LP: #210620).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Apr 2008 10:44:10 +0100

os-prober (1.23) unstable; urgency=low

  * If fuseblk is in /proc/filesystems and ntfs-3g is present, try mounting
    filesystems as ntfs-3g.
  * Try finding a LABEL/UUID-capable /bin/mount in $tmpmnt as well as in
    /target.
  * Set LD_LIBRARY_PATH appropriately in the event that we have to use a
    foreign mount binary (LP: #145424).
  * Adjust Microsoft probe to cope with NTFS partitions appearing with type
    ntfs-3g.

 -- Colin Watson <cjwatson@debian.org>  Mon, 26 Nov 2007 15:20:17 +0000

os-prober (1.22) unstable; urgency=low

  [ Joey Hess ]
  * Call dh_md5sums.

  [ Jérémy Bobbio ]
  * Remove references to devfs-style device names in documentation and
    comments.

  [ Colin Watson ]
  * Accept fuseblk as well as fuse in the Microsoft probe.
  * Make sure to select only the first mountpoint for a given device (in
    case of bind mounts).
  * Treat the lpia architecture (used in the Ubuntu mobile project) as x86,
    since it is.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 27 Sep 2007 18:43:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
+XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # (C) 2004 Joshua Kwan <joshk@triplehelix.org>
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifneq (,$(findstring :$(ARCH):,:i386:amd64:))
+ifneq (,$(findstring :$(ARCH):,:i386:amd64:lpia:))
 ARCH=x86
 endif
 
@@ -49,6 +49,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	dh_md5sums
 	dh_builddeb
 
 binary: binary-indep binary-arch

## os-prober 1.26ubuntu2

=== debian/changelog ===
os-prober (1.26ubuntu2) intrepid; urgency=low

  * os-prober: Probe all partitions that are a part of active dmraid arrays.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 25 Aug 2008 16:53:51 +1000

os-prober (1.26ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - If any umount fails, sleep for five seconds and try again, up to three
      times; it seems that occasionally desktop automounting systems grab
      the device at just the wrong time.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jun 2008 11:14:19 +0100

os-prober (1.26) unstable; urgency=HIGH

  * Remove hardcoded line in grub2 that must have slipped in during testing.
    Closes: #476389

 -- Joey Hess <joeyh@debian.org>  Tue, 03 Jun 2008 13:35:39 -0400

os-prober (1.25) unstable; urgency=low

  [ Frans Pop ]
  * Disable excessive debug messages when parsing grub configs (see #471501).

  [ Joey Hess ]
  * Warn if umount fails for some reason (such as a desktop environment
    keeping the mount point busy).
  * Avoid exiting test scripts when a umount fails, as that can result in
    incomplete OS detection, and does not result in os-prober as a whole
    failing.

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 13:31:46 -0300

os-prober (1.24) unstable; urgency=low

  [ Colin Watson ]
  * udev 117 merged all udev tools into a single binary called udevadm.
    Check for this and use it instead of udevinfo if available.

  [ Joey Hess ]
  * Avoid using log-output when run outside of d-i.
  * Add preliminary support for grub2's grub.cfg file. Closes: #464928

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 15:23:52 -0200

## os-prober 1.28

=== debian/changelog ===
os-prober (1.28) unstable; urgency=low

  [ Giuseppe Iuculano ]
  * Probe all partitions that are a part of active dmraid arrays.
    Patch based on work done by Luke Yelavich <themuso@ubuntu.com> in Ubuntu.

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 22:02:30 -0300

os-prober (1.27) unstable; urgency=low

  [ Joey Hess ]
  * Add support for detecting K-DEMar based on an example from Adonay Sanz.
    Closes: #485617

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:33:43 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0
-XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
 
 Package: os-prober-udeb
 XC-Package-Type: udeb

## os-prober 1.29ubuntu2

=== debian/changelog ===
os-prober (1.29ubuntu2) jaunty; urgency=low

  * Install Mac OS X probe on i386/amd64 too, although it will be marked as
    unsupported in grub-installer as AFAIK it can only be booted directly
    from EFI (LP: #353639).
  * Detect Acronis Secure Zone (thanks, Alexey Fisher; LP: #354334).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Apr 2009 09:49:23 +0100

os-prober (1.29ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - If any umount fails, sleep for five seconds and try again, up to three
      times; it seems that occasionally desktop automounting systems grab
      the device at just the wrong time.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Mar 2009 01:05:21 +0000

os-prober (1.29) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Load ext4 module if available.
    - Check dmraid's exit code rather than parsing its output.
  * Windows Vista has been released for some time now, so just call it that
    rather than "Vista/Longhorn".

  [ Frans Pop ]
  * Remove myself as uploader.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Mar 2009 16:45:32 +0000

os-prober (1.28ubuntu4) jaunty; urgency=low

  * Check dmraid's exit code as well as parsing its output, the latter for
    backward compatibility with dmraid << 1.0.0.rc15-1~exp4 only
    (LP: #325947).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Feb 2009 12:44:30 +0000

os-prober (1.28ubuntu3) jaunty; urgency=low

  * Load ext4 module if available.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Jan 2009 13:39:24 +0000

os-prober (1.28ubuntu2) jaunty; urgency=low

  * 'dmraid -c -s' changed its output format; cope with both old and new.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 21:11:16 +0000

os-prober (1.28ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - If any umount fails, sleep for five seconds and try again, up to three
      times; it seems that occasionally desktop automounting systems grab
      the device at just the wrong time.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 18 Nov 2008 12:37:12 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 4.2)
 Standards-Version: 3.6.1.0
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,9 @@
 			dh_install $$probes/$(ARCH)/* usr/lib/$$probes; \
 		fi; \
 	done
+ifeq ($(ARCH),x86)
+	dh_install os-probes/mounted/powerpc/20macosx usr/lib/os-probes/mounted
+endif
 	cp -a debian/os-prober-udeb/usr/share debian/os-prober-udeb/usr/lib \
 		debian/os-prober/usr/

## os-prober 1.35

=== debian/changelog ===
os-prober (1.35) unstable; urgency=medium

  * Set LC_ALL=C when grepping out accented characters from Windows
    descriptions (LP: #438095).

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 Oct 2009 23:12:11 +0100

os-prober (1.34) unstable; urgency=low

  * Only look for a smart version of mount if we're using busybox mount. In
    a normal system, mount probably already handles labels and UUIDs, and
    using mount from another filesystem is risky enough that it's worth
    avoiding if possible.
  * Memoise calls to 'basename $0' in log function.
  * Handle escaped special characters in /etc/fstab and /proc/mounts
    (LP: #433910).
  * dash defines test's -nt operator differently from bash, as it's entitled
    to do since this is an extension not defined in POSIX. If file1 exists
    and file2 does not, bash returns true but dash returns false. Don't rely
    on bash's behaviour when checking whether to use GRUB Legacy or GRUB 2
    configuration files, otherwise we end up using neither when only one set
    of configuration exists and /bin/sh is dash.
  * Try to map LABEL= and UUID= ourselves in linux_mount_boot rather than
    relying on mount to do it, to further reduce the chance that we need to
    use mount from another filesystem.
  * If the filesystem identified by linux-boot-prober as /boot is already
    mounted somewhere else, then bind-mount it rather than trying to mount
    it again.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Sep 2009 14:55:23 +0100

os-prober (1.33) unstable; urgency=low

  * Distinguish Windows 7, based on a patch from "mattduckman"
    (LP: #393565).
  * Don't try to mount LUKS partitions (thanks, Chow Loong Jin and Soren
    Hansen; closes: #546546, LP: #428785).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Sep 2009 14:02:45 +0100

os-prober (1.32) unstable; urgency=low

  * Pass arguments properly to newns (thanks, Roger E Critchlow Jr; LP:
    #426061).

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Sep 2009 12:29:05 +0100

os-prober (1.31) unstable; urgency=low

  * Upgrade to debhelper v7.
  * Detect Acronis Secure Zone (thanks, Alexey Fisher; LP: #354334).
  * Run os-prober and linux-boot-prober in a private mount namespace if
    possible, to avoid desktop environments picking up the mounts. Thanks to
    Gabor Gombas for the suggestion. (Closes: #476184)
  * Use vol_id/blkid output if possible to avoid having to try every
    possible filesystem for every partition. This isn't actually very much
    faster for me, but it certainly cuts down on syslog noise.
  * Skip extended and swap partitions (closes: #511518).
  * Install Mac OS X probe on i386/amd64 too (LP: #353639).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Sep 2009 11:06:55 +0100

os-prober (1.30) unstable; urgency=low

  [ Colin Watson ]
  * Use result function in macosx prober, so that its output appears in
    syslog.
  * Quote arguments to tests, and in general quote mountpoints that were
    fetched from mounted-maps. I've seen the odd log with errors due to
    funny characters in mount points.

  [ Otavio Salvador ]
  * When there're both grub-legacy and grub2 configuration files available
    we ought to use the most recently changed. Closes: 534478

 -- Otavio Salvador <otavio@ossystems.com.br>  Tue, 21 Jul 2009 12:22:09 -0300

=== debian/control ===
Source: os-prober
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.6.1.0
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober

Package: os-prober-udeb
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16)
Provides: os-prober
Description: utility to detect other OSes on a set of drives
 This package is to be used by boot loader installers to detect other OSes
 available on a system, in a generic format, which it can then adapt to its
 own configuration format.

Package: os-prober
Architecture: any
Section: utils
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to detect other OSes on a set of drives
 This package detects other OSes available on a system and outputs the
 results in a generic machine-readable format.

=== debian/rules ===
#! /usr/bin/make -f
# debhelper rules for os-prober
# (C) 2004 Joshua Kwan <joshk@triplehelix.org>

%:
	dh $@

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(findstring :$(ARCH):,:i386:amd64:lpia:))
ARCH=x86
endif

override_dh_install:
	dh_install
	for probes in os-probes os-probes/mounted os-probes/init \
	              linux-boot-probes linux-boot-probes/mounted; do \
		dh_install $$probes/common/* usr/lib/$$probes; \
		if [ -e "$$probes/$(ARCH)" ]; then \
			dh_install $$probes/$(ARCH)/* usr/lib/$$probes; \
		fi; \
	done
ifeq ($(ARCH),x86)
	dh_install os-probes/mounted/powerpc/20macosx usr/lib/os-probes/mounted
endif
	cp -a debian/os-prober-udeb/usr/lib debian/os-prober/usr/

## os-prober 1.38

=== debian/changelog ===
os-prober (1.38) unstable; urgency=low

  * Handle single-quoted items in grub.cfg; this has been part of the syntax
    for a while, but recently started being used upstream to avoid another
    bug.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Apr 2010 12:17:28 +0100

os-prober (1.37) unstable; urgency=low

  [ Frans Pop ]
  * 90linux-distro: also allow for lib32 and lib64 directories when looking
    for ld*.so*. With thanks to Maximilian Gerhard. Closes: #574407.

  [ Colin Watson ]
  * Detect Windows Server 2008 and Windows Server 2008 R2, thanks to
    Thorsten. LP: #544117
  * Detect Arch Linux initrds: http://wiki.archlinux.org/index.php/GRUB2 and
    http://repos.archlinux.org/wsvn/packages/grub2/trunk/grubconfig.archlinux.patch
    indicate that /boot/vmlinuz26 is associated with /boot/kernel26.img.
    LP: #518826

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Apr 2010 14:15:35 +0100

os-prober (1.36) unstable; urgency=low

  [ Colin Watson ]
  * Suppress tedious fd leak warnings from LVM tools.

  [ Frans Pop ]
  * Drop support for the discontinued lpia architecture.

  [ Christian Perrier ]
  * Properly quote variable in os-probes/mounted/x86. Thanks
    to Fabian Greffrath for the patch. Closes: #563825

  [ Otavio Salvador ]
  * Applied patch from Brad Jorsch <anomie@users.sourceforge.net> to
    properly detect Windows' recovery partitions. Closes: #547382

  [ Joey Hess ]
  * Load btrfs module if available.
  * Fix arbitrary code execution via eval. Closes: #569229
  * Tighten up quoting of shell variables overall.
  * Avoid ever running mount command from filesystems being probed.
    Closes: #569222
  * Avoid leaving a temporary mountpoint behind when exiting
    in some exceptional conditions. Closes: #569235

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Feb 2010 15:50:17 -0300

## os-prober 1.39

=== debian/changelog ===
os-prober (1.39) unstable; urgency=low

  [ Joey Hess ]
  * Fix FreeDOS test to use case-insensative filename lookup
    as was already done for all other DOS/Windows tests. Closes: #582257
    (Thanks, Harald Dunkel)

  [ Colin Watson ]
  * Handle Dracut-generated initramfs names in linux-boot-prober fallback
    test (thanks, Piscium; LP: #420900).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jun 2010 18:01:00 +0100

## os-prober 1.42

=== debian/changelog ===
os-prober (1.42) unstable; urgency=low

  [ Milan Kupcevic ]
  * Let yaboot linux-boot-prober work on all chrp machines.
  * Handle YDL initrd image in linux-boot-prober fallback test.

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:13:19 -0200

os-prober (1.41) unstable; urgency=low

  [ Joey Hess ]
  * Fix probes for MacOS 9 on m68k and powerpc. Closes: #604192
    (Thanks, Milan Kupcevic)

 -- Otavio Salvador <otavio@debian.org>  Wed, 24 Nov 2010 09:58:18 -0200

os-prober (1.40) unstable; urgency=low

  [ Christian Perrier ]
  * Fix Windows Vista and Windows Recovery Environment partitions
    recognition. (Thanks, Bouke Bunnik)
    Closes: #589676, LP: #476625
  * Allow recognition of recent MINIX installations. 
    Thanks to Feiran Zheng
    Closes: #592924

  [ Colin Watson ]
  * Improve error message when /sys/block is missing.
  * os-prober doesn't know how to probe other OSes on non-Linux kernels.
    For now, just exit quietly rather than confusing people (closes:
    #567953).
  * Ignore active swap partitions (thanks, Alex Owen; see #417407).
  * Refactor linux_mount_boot to look up labels and UUIDs using blkid or
    /dev/disk/by-*/ rather than relying on mount being smart enough.  This
    removes some horrible code that executes mount from /target.
  * Set partitions read-only before mounting them (based on a patch by Alex
    Owen; closes: #417407, #556739, #599203).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Nov 2010 11:51:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.6.1.0
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober

## os-prober 1.44ubuntu1

=== debian/changelog ===
os-prober (1.44ubuntu1) natty; urgency=low

  * Cherry-pick from trunk:
    - Use grub-mount if it exists.  This lets us do true read-only mounts,
      and works better on journalling filesystems that were mounted
      uncleanly (LP: #683355).
    - Attempt to load the fuse module, to improve the chances of grub-mount
      working.
  * Depend on grub-mount-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Apr 2011 00:36:21 +0100

os-prober (1.44) unstable; urgency=low

  * Team upload
  * Fix syntax errors in 83haiku and make it executable

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Feb 2011 20:17:55 +0100

os-prober (1.43) unstable; urgency=low

  * Team upload

  [ Christian Perrier ]
  * Fix Gentoo detection (different name for kernel and initrd
    files). Thanks to caillean for the patch
    Closes: #611670
  * Detect Haiku on BeFS partitions.
    Thanks to Jeroen Oortwijn for the proposed patch
    Closes: #590897

  [ Joey Hess ]
  * 90fallback: Avoid ever accidentially identifying the same file
    as initrd and kernel. Closes: #612303

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Feb 2011 06:02:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: os-prober
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>, Joey Hess <joeyh@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.6.1.0
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/os-prober
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/os-prober.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/os-prober.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/os-prober/ubuntu
 
 Package: os-prober-udeb
 XC-Package-Type: udeb
 Architecture: any
-Depends: ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16)
+Depends: ${shlibs:Depends}, di-utils-mapdevfs, anna (>= 1.16), grub-mount-udeb
 Provides: os-prober
 Description: utility to detect other OSes on a set of drives
  This package is to be used by boot loader installers to detect other OSes
